function err = alterr1(nnow,znow,nlag,par,steady,decision,z,p)
global options

%Now
unow = 1-nlag;
vnow = ((nnow-(1-par.rho_x)*nlag)/(par.phi0*unow^par.phi))^(1/(1-par.phi));
cnow = exp(znow)*nlag^par.alpha-par.cost*vnow;
gnow = (vnow/unow)^par.phi*par.cost/par.phi0;
 
%Next
rhs = zeros(z.size,1);
for j = 1:z.size,
    znext = z.grid(j);
    n_output = fsolve(@(nn) alterr2(nn,znext,nnow,par,steady,decision,z,p),nnow,options);
    nnext    = n_output;
    
    unext  = 1-nnow;
    vnext  = ((nnext-(1-par.rho_x)*nnow)/(par.phi0*unext^par.phi))^(1/(1-par.phi));
    cnext  = exp(znext)*nnow^par.alpha-par.cost*vnext;
    gnext  = (vnext/unext)^par.phi*par.cost/par.phi0;
    pnext  = par.alpha*exp(znext)*nnow^(par.alpha-1)-par.wage;
    rhs(j) = par.beta*p(znow==z.grid,j)*(cnext/cnow)^-par.gamma*(pnext+(1-par.rho_x)*gnext);
end

%Error
err = gnow-sum(rhs);

end

