function error = eulereq(logknew,logknow,lnznow)

global kss beta gamma alpha delta gh sigma rho decision_lev_1st decision_lev

temp  = zeros(gh.size,1);
for j = 1:gh.size,
    khatnew = exp(logknew)-kss;
    shocknew = sqrt(2)*sigma*gh.e(j);
    lnznew   = rho*lnznow+shocknew;
    knewnew  = decision_lev_1st(:,2)'*[1,khatnew,lnznow,shocknew]';
    %knewnew  = decision_lev(:,2)'*[1,0,khatnew,lnznow,shocknew,0,0,0,0,0,0]';
    cnew     = exp(lnznew)*exp(logknew*alpha)+(1-delta)*exp(logknew)-knewnew;
%    if cnew < 0
%        [cnew lnznow gh.e(j) knew knewnew]
%        pause
%    end
%    cnew = decision_lev_1st(:,1)'*[1,khatnew,lnznow,shocknew]';
    temp(j)  = (gh.w(j)/sqrt(pi))*beta*cnew^(-gamma)*(alpha*exp(lnznew)*exp(logknew*(alpha-1))+1-delta);
end

cnow  = exp(lnznow)*exp(logknow*alpha)+(1-delta)*exp(logknow) - exp(logknew);
error = cnow^(-gamma)-sum(temp);

%[know knew cnow sum(temp) error]
%pause


