function error = eulereq2(logknew,logknow,lnznow)

global kss beta gamma alpha delta gh sigma rho options


temp  = zeros(gh.size,1);
for j = 1:gh.size,
    khatnew = exp(logknew)-kss;
    shocknew = sqrt(2)*sigma*gh.e(j);
    lnznew   = rho*lnznow+shocknew;
    %knewnew  = decision_lev_1st(:,2)'*[1,khatnew,lnznow,shocknew]';
    knewnew  = fsolve(@(logknewnew) eulereq(logknewnew,logknew,lnznew),logknew,options);
    knewnew  = exp(knewnew);
    cnew     = exp(lnznew)*exp(logknew*alpha)+(1-delta)*exp(logknew)-knewnew;

    temp(j)  = (gh.w(j)/sqrt(pi))*beta*cnew^(-gamma)*(alpha*exp(lnznew)*exp(logknew*(alpha-1))+1-delta);
end

cnow  = exp(lnznow)*exp(logknow*alpha)+(1-delta)*exp(logknow) - exp(logknew);
error = cnow^(-gamma)-sum(temp);

%[know knew cnow sum(temp) error]
%pause


