var lnc lnk lnz;
varexo e;
parameters alpha beta gamma delta rho sigma;

@#include "parameters.mod"

model;
exp(lnc)^-gamma = beta*exp(lnc(+1))^-gamma*(alpha*exp(lnz(+1))*exp(lnk)^(alpha-1)+1-delta);
exp(lnc)+exp(lnk) = exp(lnz)*exp(lnk(-1))^alpha+(1-delta)*exp(lnk(-1));
lnz = rho*lnz(-1)+e;
end;

initval;
@#include "steadystate_log.mod"
end;

shocks;
var e; stderr sigma;
end;

stoch_simul(order=2,nomoments,irf=0) lnc lnk lnz;