function nnow = Aalterr6(znow,nlag,par,steady,decision,z,p)

%Now
%ntemp = decision(:,2)'*[1;-1;nlag-steady.n;0;znow;0;0;0;0;0;0];
ntemp = Aalterr7(znow,nlag,par,steady,decision,z,p);

unow  = 1-nlag;
vnow = ((ntemp-(1-par.rho_x)*nlag)/(par.phi0*unow^par.phi))^(1/(1-par.phi));
cnow = exp(znow)*nlag^par.alpha-par.cost*vnow;

%Next
rhs = zeros(z.size,1);
for j = 1:z.size,
    znext  = z.grid(j);
%    nnext  = decision(:,2)'*[1;-1;ntemp-steady.n;0;znext;0;0;0;0;0;0];
    nnext  = Aalterr7(znext,ntemp,par,steady,decision,z,p);    
    unext  = 1-ntemp;
    vnext  = ((nnext-(1-par.rho_x)*ntemp)/(par.phi0*unext^par.phi))^(1/(1-par.phi));
    cnext  = exp(znext)*ntemp^par.alpha-par.cost*vnext;
    gnext  = (vnext/unext)^par.phi*par.cost/par.phi0;
    pnext  = par.alpha*exp(znext)*ntemp^(par.alpha-1)-par.wage;
    rhs(j) = par.beta*p(znow==z.grid,j)*(cnext/cnow)^-par.gamma*(pnext+(1-par.rho_x)*gnext);
end


gnow=sum(rhs);
vnow = (par.phi0*gnow/par.cost)^(1/par.phi)*unow;
nnow = (1-par.rho_x)*nlag+par.phi0*unow^par.phi*vnow^(1-par.phi);
end

