var u v n g c p z;
varexo e;
parameters alpha beta gamma phi rho_z sigma rho_x phi0 wage cost;

@#include "parameters_matching.mod"

model;
u = 1-n(-1);
v = u*(phi0*g/cost)^(1/phi);
n = (1-rho_x)*n(-1)+phi0*u^phi*v^(1-phi);
g = beta*(c(+1)/c)^-gamma*(p(+1)+(1-rho_x)*g(+1));
c = exp(z)*n(-1)^alpha-cost*v;
p = alpha*exp(z)*n(-1)^(alpha-1)-wage;
z = rho_z*z(-1)+e;
end;

initval;
@#include "steadystate_matching.mod"
end;

shocks;
var e; stderr sigma;
end;

stoch_simul(order=2,nomoments,irf=0) v n g;